package edujin.service;

import edujin.repository.PasswordResetTokenRepository;
import edujin.repository.SubscriptionRepository;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

@WebService
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT)
public class SubscriptionService extends BaseWebService{
    @WebMethod
    public String applySubscribe(String username) {
        try {
            return SubscriptionRepository.getInstance().create(username);
        } catch (Exception e) {
            e.printStackTrace();
            return e.toString();
        }
    }
    @WebMethod
    public String statusSubscribe(String username) {
        try {
            return SubscriptionRepository.getInstance().status(username);
        } catch (Exception e) {
            e.printStackTrace();
            return e.toString();
        }
    }
    @WebMethod
    public String deleteSubscribe(String username) {
        try {
            SubscriptionRepository.getInstance().delete(username);
            return "200";
        } catch (Exception e) {
            e.printStackTrace();
            return e.toString();
        }
    }
}
