package edujin.repository;

import edujin.model.Logging;
import edujin.util.HibernateUtil;
import org.hibernate.Session;
import org.hibernate.Transaction;

public class LoggingRepository extends BaseRepository {
    private static LoggingRepository instance = null;

    private LoggingRepository() {
    }
    public static LoggingRepository getInstance() {
        if (instance == null) {
            instance = new LoggingRepository();
        }
        return instance;
    }
    public void create(Logging logging) {
        Transaction tx = null;
        Session session = HibernateUtil.getSessionFactory().getCurrentSession();
        try {
            tx = session.beginTransaction();
            session.save(logging);
            tx.commit();
        } catch (Exception e) {
            if (tx != null) {
                tx.rollback();
            }
            e.printStackTrace();
            throw e;
        }
    }
}
