package edujin.service;

import edujin.repository.ArticleRepository;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

@WebService
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT)
public class ArticleService extends BaseWebService{
    @WebMethod
    public String countArticle() {
        try {
            return ArticleRepository.getInstance().countArticle();
        } catch (Exception e) {
            e.printStackTrace();
            return e.toString();
        }
    }
    @WebMethod
    public String getTitle(Long page){
        try {
            return ArticleRepository.getInstance().getArticleTitle(page);
        } catch (Exception e) {
            e.printStackTrace();
            return e.toString();
        }
    }
    @WebMethod
    public String getContent(Long page) {
        try {
            return ArticleRepository.getInstance().getArticleContent(page);
        } catch (Exception e) {
            e.printStackTrace();
            return e.toString();
        }
    }
}
